# Makefile.in generated automatically by automake 1.4-p6 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ../..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = @host_alias@
host_triplet = @host@
AR = @AR@
AS = @AS@
ASFLAGS = @ASFLAGS@
CC = @CC@
CXX = @CXX@
CXXCPP = @CXXCPP@
DATADIR = @DATADIR@
DFB_CFLAGS_OMIT_FRAME_POINTER = @DFB_CFLAGS_OMIT_FRAME_POINTER@
DFB_INTERNAL_CFLAGS = @DFB_INTERNAL_CFLAGS@
DFB_LDFLAGS = @DFB_LDFLAGS@
DIRECTFB_BINARY_AGE = @DIRECTFB_BINARY_AGE@
DIRECTFB_CSOURCE = @DIRECTFB_CSOURCE@
DIRECTFB_INTERFACE_AGE = @DIRECTFB_INTERFACE_AGE@
DIRECTFB_MAJOR_VERSION = @DIRECTFB_MAJOR_VERSION@
DIRECTFB_MICRO_VERSION = @DIRECTFB_MICRO_VERSION@
DIRECTFB_MINOR_VERSION = @DIRECTFB_MINOR_VERSION@
DIRECTFB_VERSION = @DIRECTFB_VERSION@
DIRECT_BUILD_DEBUG = @DIRECT_BUILD_DEBUG@
DIRECT_BUILD_DEBUGS = @DIRECT_BUILD_DEBUGS@
DIRECT_BUILD_GETTID = @DIRECT_BUILD_GETTID@
DIRECT_BUILD_TEXT = @DIRECT_BUILD_TEXT@
DIRECT_BUILD_TRACE = @DIRECT_BUILD_TRACE@
DLLTOOL = @DLLTOOL@
DYNLIB = @DYNLIB@
ECHO = @ECHO@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FREETYPE_CFLAGS = @FREETYPE_CFLAGS@
FREETYPE_CONFIG = @FREETYPE_CONFIG@
FREETYPE_LIBS = @FREETYPE_LIBS@
FREETYPE_PROVIDER = @FREETYPE_PROVIDER@
FUSION_BUILD_MULTI = @FUSION_BUILD_MULTI@
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
GIF_PROVIDER = @GIF_PROVIDER@
HAVE_LIB = @HAVE_LIB@
HAVE_LINUX = @HAVE_LINUX@
INCLUDEDIR = @INCLUDEDIR@
INTERNALINCLUDEDIR = @INTERNALINCLUDEDIR@
JPEG_PROVIDER = @JPEG_PROVIDER@
LIB = @LIB@
LIBJPEG = @LIBJPEG@
LIBPNG = @LIBPNG@
LIBTOOL = @LIBTOOL@
LN_S = @LN_S@
LTLIB = @LTLIB@
LT_AGE = @LT_AGE@
LT_CURRENT = @LT_CURRENT@
LT_RELEASE = @LT_RELEASE@
LT_REVISION = @LT_REVISION@
MAINT = @MAINT@
MAKEINFO = @MAKEINFO@
MAN2HTML = @MAN2HTML@
MODULEDIR = @MODULEDIR@
MODULEDIRNAME = @MODULEDIRNAME@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OSX_LIBS = @OSX_LIBS@
PACKAGE = @PACKAGE@
PERL = @PERL@
PNG_PROVIDER = @PNG_PROVIDER@
RANLIB = @RANLIB@
RC = @RC@
RUNTIME_SYSROOT = @RUNTIME_SYSROOT@
SDL_CFLAGS = @SDL_CFLAGS@
SDL_CONFIG = @SDL_CONFIG@
SDL_LIBS = @SDL_LIBS@
SOPATH = @SOPATH@
STRIP = @STRIP@
SYSFS_LIBS = @SYSFS_LIBS@
THREADFLAGS = @THREADFLAGS@
THREADLIB = @THREADLIB@
VERSION = @VERSION@
VNC_CFLAGS = @VNC_CFLAGS@
VNC_CONFIG = @VNC_CONFIG@
VNC_LIBS = @VNC_LIBS@
X11_CFLAGS = @X11_CFLAGS@
X11_LIBS = @X11_LIBS@
ZLIB_LIBS = @ZLIB_LIBS@

SUBDIRS = shm

INCLUDES =  	-I$(top_builddir)/include		-I$(top_builddir)/lib			-I$(top_srcdir)/include			-I$(top_srcdir)/lib


AM_CPPFLAGS =  	-DDATADIR=\"${RUNTIME_SYSROOT}@DATADIR@\"		-DMODULEDIR=\"${RUNTIME_SYSROOT}@MODULEDIR@\"


pkgconfigdir = $(libdir)/pkgconfig
pkgconfig_DATA = fusion.pc

includedir = @INCLUDEDIR@/fusion

include_HEADERS =  	arena.h			build.h			call.h			conf.h			fusion.h		lock.h			object.h		property.h		reactor.h		ref.h			shmalloc.h		types.h			vector.h


lib_LTLIBRARIES = libfusion.la

libfusion_la_SOURCES =  	arena.c				call.c				conf.c				fusion.c			fusion_internal.h		lock.c				object.c			property.c			reactor.c			ref.c				shmalloc.c			vector.c


libfusion_la_LIBADD =  	shm/libfusion_shm.la		../direct/libdirect.la


libfusion_la_LDFLAGS =  	-version-info $(LT_CURRENT):$(LT_REVISION):$(LT_AGE)		-release $(LT_RELEASE)                              		$(DFB_LDFLAGS)

mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../../config.h
CONFIG_CLEAN_FILES =  build.h fusion.pc
LTLIBRARIES =  $(lib_LTLIBRARIES)


DEFS = @DEFS@ -I. -I$(srcdir) -I../..
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
libfusion_la_DEPENDENCIES =  shm/libfusion_shm.la ../direct/libdirect.la
libfusion_la_OBJECTS =  arena.lo call.lo conf.lo fusion.lo lock.lo \
object.lo property.lo reactor.lo ref.lo shmalloc.lo vector.lo
CFLAGS = @CFLAGS@
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DATA =  $(pkgconfig_DATA)

HEADERS =  $(include_HEADERS)

DIST_COMMON =  Makefile.am Makefile.in build.h.in fusion.pc.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
SOURCES = $(libfusion_la_SOURCES)
OBJECTS = $(libfusion_la_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .lo .o .obj .s
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps lib/fusion/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

build.h: $(top_builddir)/config.status build.h.in
	cd $(top_builddir) && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
fusion.pc: $(top_builddir)/config.status fusion.pc.in
	cd $(top_builddir) && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

mostlyclean-libLTLIBRARIES:

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)

distclean-libLTLIBRARIES:

maintainer-clean-libLTLIBRARIES:

install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "$(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(libdir)/$$p"; \
	    $(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(libdir)/$$p; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  $(LIBTOOL)  --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
	done

.c.o:
	$(COMPILE) -c $<

# FIXME: We should only use cygpath when building on Windows,
# and only if it is available.
.c.obj:
	$(COMPILE) -c `cygpath -w $<`

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core
	-rm -f *.$(OBJEXT)

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.c.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

libfusion.la: $(libfusion_la_OBJECTS) $(libfusion_la_DEPENDENCIES)
	$(LINK) -rpath $(libdir) $(libfusion_la_LDFLAGS) $(libfusion_la_OBJECTS) $(libfusion_la_LIBADD) $(LIBS)

install-pkgconfigDATA: $(pkgconfig_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(pkgconfigdir)
	@list='$(pkgconfig_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(pkgconfigdir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(pkgconfigdir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(pkgconfigdir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(pkgconfigdir)/$$p; \
	  fi; fi; \
	done

uninstall-pkgconfigDATA:
	@$(NORMAL_UNINSTALL)
	list='$(pkgconfig_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(pkgconfigdir)/$$p; \
	done

install-includeHEADERS: $(include_HEADERS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(includedir)
	@list='$(include_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d= ; else d="$(srcdir)/"; fi; \
	  echo " $(INSTALL_DATA) $$d$$p $(DESTDIR)$(includedir)/$$p"; \
	  $(INSTALL_DATA) $$d$$p $(DESTDIR)$(includedir)/$$p; \
	done

uninstall-includeHEADERS:
	@$(NORMAL_UNINSTALL)
	list='$(include_HEADERS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(includedir)/$$p; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.

@SET_MAKE@

all-recursive install-data-recursive install-exec-recursive \
installdirs-recursive install-recursive uninstall-recursive  \
check-recursive installcheck-recursive info-recursive dvi-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	rev=''; list='$(SUBDIRS)'; for subdir in $$list; do \
	  rev="$$subdir $$rev"; \
	  test "$$subdir" != "." || dot_seen=yes; \
	done; \
	test "$$dot_seen" = "no" && rev=". $$rev"; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
   if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
   fi; \
	done; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags -o $$here/TAGS $(ETAGS_ARGS) $$tags  $$unique $(LISP))

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = lib/fusion

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
	for subdir in $(SUBDIRS); do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	    chmod 777 $(distdir)/$$subdir; \
	    (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir=../$(top_distdir) distdir=../$(distdir)/$$subdir distdir) \
	      || exit 1; \
	  fi; \
	done
arena.lo arena.o : arena.c ../../config.h ../../lib/direct/debug.h \
	../../lib/direct/build.h ../../lib/direct/conf.h \
	../../lib/direct/types.h ../../include/dfb_types.h \
	../../include/directfb.h ../../include/directfb_keyboard.h \
	../../lib/direct/log.h ../../lib/direct/messages.h \
	../../lib/direct/system.h ../../lib/direct/util.h \
	../../lib/direct/list.h ../../lib/direct/mem.h build.h types.h \
	lock.h ref.h call.h arena.h shmalloc.h shm/pool.h \
	fusion_internal.h fusion.h shm/shm_internal.h
call.lo call.o : call.c ../../config.h build.h ../../lib/direct/debug.h \
	../../lib/direct/build.h ../../lib/direct/conf.h \
	../../lib/direct/types.h ../../include/dfb_types.h \
	../../include/directfb.h ../../include/directfb_keyboard.h \
	../../lib/direct/log.h ../../lib/direct/messages.h \
	../../lib/direct/system.h ../../lib/direct/util.h types.h \
	call.h fusion_internal.h ../../lib/direct/list.h fusion.h \
	lock.h shm/shm_internal.h
conf.lo conf.o : conf.c ../../config.h conf.h types.h build.h \
	../../lib/direct/types.h ../../include/dfb_types.h \
	../../include/directfb.h ../../include/directfb_keyboard.h
fusion.lo fusion.o : fusion.c ../../config.h ../../lib/direct/clock.h \
	../../lib/direct/debug.h ../../lib/direct/build.h \
	../../lib/direct/conf.h ../../lib/direct/types.h \
	../../include/dfb_types.h ../../include/directfb.h \
	../../include/directfb_keyboard.h ../../lib/direct/log.h \
	../../lib/direct/messages.h ../../lib/direct/system.h \
	../../lib/direct/util.h ../../lib/direct/direct.h \
	../../lib/direct/mem.h ../../lib/direct/signals.h \
	../../lib/direct/thread.h ../../lib/direct/trace.h build.h \
	types.h fusion_internal.h ../../lib/direct/list.h fusion.h \
	lock.h shm/shm_internal.h shmalloc.h shm/pool.h shm/shm.h
fusion_shmalloc.lo fusion_shmalloc.o : fusion_shmalloc.c ../../config.h \
	../../lib/direct/build.h ../../lib/direct/debug.h \
	../../lib/direct/conf.h ../../lib/direct/types.h \
	../../include/dfb_types.h ../../include/directfb.h \
	../../include/directfb_keyboard.h ../../lib/direct/log.h \
	../../lib/direct/messages.h ../../lib/direct/system.h \
	../../lib/direct/util.h ../../lib/direct/memcpy.h build.h \
	shmalloc.h types.h shm/pool.h shm/shm_internal.h \
	../../lib/direct/list.h lock.h
lock.lo lock.o : lock.c ../../config.h ../../lib/direct/debug.h \
	../../lib/direct/build.h ../../lib/direct/conf.h \
	../../lib/direct/types.h ../../include/dfb_types.h \
	../../include/directfb.h ../../include/directfb_keyboard.h \
	../../lib/direct/log.h ../../lib/direct/messages.h \
	../../lib/direct/system.h ../../lib/direct/util.h build.h \
	types.h lock.h fusion_internal.h ../../lib/direct/list.h \
	fusion.h shm/shm_internal.h
object.lo object.o : object.c ../../config.h ../../lib/direct/debug.h \
	../../lib/direct/build.h ../../lib/direct/conf.h \
	../../lib/direct/types.h ../../include/dfb_types.h \
	../../include/directfb.h ../../include/directfb_keyboard.h \
	../../lib/direct/log.h ../../lib/direct/messages.h \
	../../lib/direct/system.h ../../lib/direct/util.h \
	../../lib/direct/thread.h build.h object.h types.h lock.h \
	../../lib/direct/list.h ref.h call.h reactor.h shmalloc.h \
	shm/pool.h fusion_internal.h fusion.h shm/shm_internal.h
property.lo property.o : property.c ../../config.h build.h \
	../../lib/direct/debug.h ../../lib/direct/build.h \
	../../lib/direct/conf.h ../../lib/direct/types.h \
	../../include/dfb_types.h ../../include/directfb.h \
	../../include/directfb_keyboard.h ../../lib/direct/log.h \
	../../lib/direct/messages.h ../../lib/direct/system.h \
	../../lib/direct/util.h types.h property.h fusion_internal.h \
	../../lib/direct/list.h fusion.h lock.h shm/shm_internal.h
reactor.lo reactor.o : reactor.c ../../config.h build.h \
	../../lib/direct/debug.h ../../lib/direct/build.h \
	../../lib/direct/conf.h ../../lib/direct/types.h \
	../../include/dfb_types.h ../../include/directfb.h \
	../../include/directfb_keyboard.h ../../lib/direct/log.h \
	../../lib/direct/messages.h ../../lib/direct/system.h \
	../../lib/direct/util.h ../../lib/direct/list.h \
	../../lib/direct/mem.h ../../lib/direct/thread.h \
	../../lib/direct/trace.h types.h lock.h shmalloc.h shm/pool.h \
	reactor.h fusion_internal.h fusion.h shm/shm_internal.h
ref.lo ref.o : ref.c ../../config.h build.h ../../lib/direct/debug.h \
	../../lib/direct/build.h ../../lib/direct/conf.h \
	../../lib/direct/types.h ../../include/dfb_types.h \
	../../include/directfb.h ../../include/directfb_keyboard.h \
	../../lib/direct/log.h ../../lib/direct/messages.h \
	../../lib/direct/system.h ../../lib/direct/util.h types.h ref.h \
	call.h fusion_internal.h ../../lib/direct/list.h fusion.h \
	lock.h shm/shm_internal.h
shmalloc.lo shmalloc.o : shmalloc.c ../../config.h \
	../../lib/direct/build.h ../../lib/direct/debug.h \
	../../lib/direct/conf.h ../../lib/direct/types.h \
	../../include/dfb_types.h ../../include/directfb.h \
	../../include/directfb_keyboard.h ../../lib/direct/log.h \
	../../lib/direct/messages.h ../../lib/direct/system.h \
	../../lib/direct/util.h ../../lib/direct/memcpy.h build.h \
	shmalloc.h types.h shm/pool.h shm/shm_internal.h \
	../../lib/direct/list.h lock.h
vector.lo vector.o : vector.c ../../config.h ../../lib/direct/debug.h \
	../../lib/direct/build.h ../../lib/direct/conf.h \
	../../lib/direct/types.h ../../include/dfb_types.h \
	../../include/directfb.h ../../include/directfb_keyboard.h \
	../../lib/direct/log.h ../../lib/direct/messages.h \
	../../lib/direct/system.h ../../lib/direct/util.h \
	../../lib/direct/memcpy.h object.h types.h build.h lock.h \
	../../lib/direct/list.h ref.h call.h reactor.h shmalloc.h \
	shm/pool.h vector.h

info-am:
info: info-recursive
dvi-am:
dvi: dvi-recursive
check-am: all-am
check: check-recursive
installcheck-am:
installcheck: installcheck-recursive
install-exec-am: install-libLTLIBRARIES install-exec-local
install-exec: install-exec-recursive

install-data-am: install-pkgconfigDATA install-includeHEADERS
install-data: install-data-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-recursive
uninstall-am: uninstall-libLTLIBRARIES uninstall-pkgconfigDATA \
		uninstall-includeHEADERS
uninstall: uninstall-recursive
all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS) all-local
all-redirect: all-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs: installdirs-recursive
installdirs-am:
	$(mkinstalldirs)  $(DESTDIR)$(libdir) $(DESTDIR)$(pkgconfigdir) \
		$(DESTDIR)$(includedir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-libLTLIBRARIES mostlyclean-compile \
		mostlyclean-libtool mostlyclean-tags \
		mostlyclean-generic

mostlyclean: mostlyclean-recursive

clean-am:  clean-libLTLIBRARIES clean-compile clean-libtool clean-tags \
		clean-generic mostlyclean-am clean-local

clean: clean-recursive

distclean-am:  distclean-libLTLIBRARIES distclean-compile \
		distclean-libtool distclean-tags distclean-generic \
		clean-am
	-rm -f libtool

distclean: distclean-recursive

maintainer-clean-am:  maintainer-clean-libLTLIBRARIES \
		maintainer-clean-compile maintainer-clean-libtool \
		maintainer-clean-tags maintainer-clean-generic \
		distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-recursive

.PHONY: mostlyclean-libLTLIBRARIES distclean-libLTLIBRARIES \
clean-libLTLIBRARIES maintainer-clean-libLTLIBRARIES \
uninstall-libLTLIBRARIES install-libLTLIBRARIES mostlyclean-compile \
distclean-compile clean-compile maintainer-clean-compile \
mostlyclean-libtool distclean-libtool clean-libtool \
maintainer-clean-libtool uninstall-pkgconfigDATA install-pkgconfigDATA \
uninstall-includeHEADERS install-includeHEADERS install-data-recursive \
uninstall-data-recursive install-exec-recursive \
uninstall-exec-recursive installdirs-recursive uninstalldirs-recursive \
all-recursive check-recursive installcheck-recursive info-recursive \
dvi-recursive mostlyclean-recursive distclean-recursive clean-recursive \
maintainer-clean-recursive tags tags-recursive mostlyclean-tags \
distclean-tags clean-tags maintainer-clean-tags distdir info-am info \
dvi-am dvi check check-am installcheck-am installcheck \
install-exec-local install-exec-am install-exec install-data-am \
install-data install-am install uninstall-am uninstall all-local \
all-redirect all-am all installdirs-am installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


# If the old location isn't cleared, builds of external modules fail
install-exec-local:
	rm -rf $(DESTDIR)$(INTERNALINCLUDEDIR)/core/fusion
	rm -rf $(DESTDIR)$(INTERNALINCLUDEDIR)/fusion

#
#

@BUILD_STATIC_TRUE@clean-local:
@BUILD_STATIC_TRUE@	rm -f libfusion_fixed.a

@BUILD_STATIC_TRUE@all-local: libfusion_fixed.a

@BUILD_STATIC_TRUE@libfusion_fixed.a: .libs/libfusion.a
@BUILD_STATIC_TRUE@	rm -f libfusion_fixed.a
@BUILD_STATIC_TRUE@	${AR} cru libfusion_fixed.a `find . -name "*.o" | grep -v '.libs'`
@BUILD_STATIC_TRUE@	${RANLIB} libfusion_fixed.a
@BUILD_STATIC_TRUE@	cp -pf libfusion_fixed.a .libs/libfusion.a

@BUILD_STATIC_TRUE@.libs/libfusion.a: libfusion.la

@BUILD_STATIC_FALSE@clean-local:

@BUILD_STATIC_FALSE@all-local:

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
